/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.2 Baustellensimulation
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.simbaustelle.migration.geometrie;

/**
 * Repräsentation eines Koordinatenpunktes für geografisch bezogene Objekte
 * innerhalb der Datenverteilerkonfiguration.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public class PunktKoordinate {
	/**
	 * die X-Koordinate.
	 */
	private final double x;

	/**
	 * die Y-Koordinate.
	 */
	private final double y;

	/**
	 * Konstruktor.<br>
	 * Die Funktion erzeugt einen Punkt mit den Koordinaten x und y.
	 *
	 * @param x
	 *            die X-Koordinate
	 * @param y
	 *            die Y-Koordinate
	 */
	public PunktKoordinate(final double x, final double y) {
		this.x = x;
		this.y = y;
	}

	/**
	 * liefert die X-Koordinate des Punkts.
	 *
	 * @return die Koordinate
	 */
	public double getX() {
		return x;
	}

	/**
	 * liefert die Y-Koordinate des Punkts.
	 *
	 * @return die Koordinate
	 */
	public double getY() {
		return y;
	}

	@Override
	public String toString() {
		return "(" + x + ", " + y + ")";
	}
}
